/**
 * @file executor.h
 * @author Florian Schmitt <florian.schmitt@qikgrp.com>
 * ----------------------------------------------------------------------------
 * (c) Florian Schmitt / 2012-2013
 * License GPLv3+: GNU GPL Version 3 
 * or higher <http://gnu.org/licenses/gpl.html>
 * This code comes with ABSOLUTELY NO WARRANTY. This is free software, and 
 * you are welcome to redistribute it under certain conditions.
 * ----------------------------------------------------------------------------
 * Executes string commands
**/
#ifndef EXECUTOR_H
#define EXECUTOR_H
/* return value definitions */
#define EXECUTOR_SUCCESS             0
#define EXECUTOR_FAILURE            -1
#define EXECUTOR_WARNING            -2
#define EXECUTOR_NOTFOUND           -3
#define EXECUTOR_FILENAME_BUFLEN   256
#define EXECUTOR_SCRIPTDIR      "exec"

/* executes a command - 0 on success */
int executor(const char*, int);
/* executor module for chaser commands */
int executor_chaser(int, const char*, int, int);
/* executor module for channel commands */
int executor_channel(int, int, const char*, int);
/* executor module for script files */
int executor_exec(const char*, int);
/* executor module for external commands (scripty in scriptdir) */
int executor_external(const char*, int);
/* executor module to bind midi */
int executor_midibind(const char*, int);

#endif /* EXECUTOR_H */
