/**
 * @file modules/dmx4all_udp.h
 * @author Florian Schmitt <florian.schmitt@qikgrp.com>
 * ----------------------------------------------------------------------------
 * Implements dmx4all network interface driver
 * ----------------------------------------------------------------------------
 * (c) Florian Schmitt / 2012-2013
 * License GPLv3+: GNU GPL Version 3 
 * or higher <http://gnu.org/licenses/gpl.html>
 * This code comes with ABSOLUTELY NO WARRANTY. This is free software, and 
 * you are welcome to redistribute it under certain conditions.
 * ----------------------------------------------------------------------------
 * This module is sponsored by zonezero GmbH <http://www.zonezero.de>
 * ----------------------------------------------------------------------------
**/
#ifndef DMX4ALL_UDP_H
#define DMX4ALL_UDP_H

/* Init DMX4ALL Interface */
int dmx4all_udp_init(int, const char*, int);
/* Clean up interface */
void dmx4all_udp_destroy();
/* Resets all channels to zero */
int dmx4all_udp_reset_channels();
/* Sets all channels to a given value */
int dmx4all_udp_set_all(int);
/* Sets a channel to a given value */
int dmx4all_udp_set(int, int);

#endif /* DMX4ALL_UDP_H */
